*,
*::before,
*::after {
  box-sizing: border-box;
}

:root {
  --color-primary: #625d4f;
  --color-primary-light: #716f69;
  --color-gray-5: rgb(172, 172, 172);
  --color-gray-3: rgb(217, 212, 212);
  --color-bg: #fffdf5;
  --flow-space: 1rem;
  --border-radius-s: .25rem;
  --border-radius-m: .5rem;
}

body {
  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
  max-width: 1024px;
  margin: 4rem auto;
  color: var(--color-primary);
  border: 2px solid #ddd8c8;
  border-radius: var(--border-radius-m);
  padding: 3rem 4rem;
  min-height: 85vh;
  background: var(--color-bg);
  box-shadow: rgba(0, 0, 0, 0.1) 0px 4px 6px -1px, rgba(0, 0, 0, 0.06) 0px 2px 4px -1px;
}

img {
  width: 100%;
  border-radius: var(--border-radius-s);
}

header, header nav ul {
  list-style-type: none;
  display: flex;
  gap: 1rem;
}

header nav {
  display: flex;
  justify-content: space-between;
  flex-grow: 1;
}

header nav ul {
  margin: 0;
  padding: 0;
}

hr {
  border: 1px dotted #c1b0b0;
  margin: 1.5rem 0;
}

main ul, main ol {
  padding: 1rem;
  margin: 0;
}

h1 {
  font-size: 1.25rem;
}

h1, h2, h3, h4, h5 {
  margin-top: 0;
}

header a {
  color: var(--color-primary-light);
  font-size: 1rem;
  font-weight: 700;
  text-decoration: none;
  border-bottom: 2px solid transparent;
}

header a:hover {
  border-bottom: 2px solid var(--color-primary-light);
  transition: border-bottom .15s ease-in;
}

p {
  max-width: 70ch;
  line-height: 1.6;
  font-size: 1.125rem;
  margin-top: 0;
}

textarea {
  width: 100%;
  min-height: 200px;
}

a:visited {
  color: var(--color-primary-light);
}

button {
  padding: .5rem 1.25rem;
  border: 0;
  border-radius: var(--border-radius-m);
  font-size: 1rem;
}

label {
  font-size: 1rem;
  display: block;
  margin-bottom: .25rem;
}

pre {
  font-size: 1rem;
  font-family: monospace;
  max-width: 60ch;
  line-height: 1.5;
}

div.required > label::after {
  margin-left: .5rem;
  content: '*';
}

textarea, input {
  border-radius: var(--border-radius-m);
  border: 2px solid var(--color-gray-3);
  padding: .5rem;
}

input {
  min-width: 50%;
}

input[type=hidden] + * {
  margin-top: 0;
}

pre {
  white-space: pre-wrap;
}

figure {
  margin: 0;
}

figcaption {
  font-style: italic;
}

.button-delete {
  background: tomato;
  color: white;
}

.flow > * + * {
  margin-block-start: var(--flow-space, 1em);
}

.current-route {
  border-bottom: 2px solid var(--color-primary-light);
}

#login-form img + p {
  font-size: .65rem;
}

#login-form {
  max-width: 600px;
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  align-items: center;
}

#login-form form {
  display: flex;
  flex-direction: column;
  align-items: center;
}

#login-form form input {
  width: 100%;
  display: block;
  margin-block-start: .5rem;
}

#login-form label {
  font-weight: 700;
  color: var(--color-primary-light);
}

#login-form button {
  margin-left: auto;
  font-weight: 700;
  color: var(--color-primary-light);
}

#login-form form > * + * {
  display: block;
  margin-block-start: 2rem;
}

#trip-info h2 {
  margin-bottom: 0;
}

#created-by {
  font-size: 1rem;
}

#login-msg {
  margin-top: 2rem;
}

#header-image {
  max-width: 512px;
  border-radius: 0;
}

#image-gallery, #image-gallery-edit {
  display: flex;
  flex-wrap: wrap;
  gap: 2rem;
  list-style-type: none;
  padding: 0;
  margin-left: 0;
  margin-right: 0;
  margin-bottom: 0;
}

#image-gallery img {
  max-width: 256px;
  border-radius: 0;
}

#image-gallery-edit img {
  max-width: 256px;
  border-radius: 0;
}

.error {
  display: flex;
  gap: 2rem;
  padding: 2rem;
  border-radius: .5rem;
  border: 1px solid var(--color-gray-5);
  color: black;
  background: #e8e8e8;
  font-family: monospace;
}

.error svg {
  min-width: 4rem;
  height: 4rem;
  background: #fb8b8b;
  border-radius: 50%;
  padding: .5rem;
  border: 1px solid #c47373;
  color: #7d1010;
}

#pagination {
  display: flex;
  justify-content: space-between;
}
